2018-12-09 20:54 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005165libmicrohttpddigest authentication (HTTP)public2018-12-08 23:10
Reporterrockdaboot 
Assigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
Product Versioncurrent SVN 
Target Version0.9.62Fixed in Version0.9.62 
Summary0005165: Add support for RFC 7616 (Digest Auth with SHA-256)
DescriptionIn short: Removes the need for insecure MD5 hashes, replaces those with SHA-256.

Wget2 and Curl now support it. At least Wget2 needs MHD support for this for it's test suite.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013261

Christian Grothoff (manager)

Agreed, we should do this.

~0013349

Christian Grothoff (manager)

Added sha256.{c,h} for now.

~0013398

Christian Grothoff (manager)

6bb3796f..bcba3f58 adds an untested implementation. Doesn't break anything for MD5, but not yet tested!

~0013399

Christian Grothoff (manager)

Tested and documented in bcba3f58..2897bd23
+Notes

-Issue History
Date Modified Username Field Change
2017-10-29 21:16 rockdaboot New Issue
2018-10-05 19:25 Christian Grothoff Status new => confirmed
2018-10-05 19:25 Christian Grothoff Note Added: 0013261
2018-11-20 22:29 Christian Grothoff Note Added: 0013349
2018-12-07 08:37 Christian Grothoff Assigned To => Christian Grothoff
2018-12-07 08:37 Christian Grothoff Status confirmed => assigned
2018-12-07 08:37 Christian Grothoff Product Version => current SVN
2018-12-07 08:37 Christian Grothoff Target Version => 0.9.62
2018-12-08 17:36 Christian Grothoff Note Added: 0013398
2018-12-08 22:55 Christian Grothoff Status assigned => resolved
2018-12-08 22:55 Christian Grothoff Resolution open => fixed
2018-12-08 22:55 Christian Grothoff Fixed in Version => 0.9.62
2018-12-08 22:55 Christian Grothoff Note Added: 0013399
2018-12-08 23:10 Christian Grothoff Status resolved => closed
+Issue History